#
# spec file for package perl-Sub-Spec
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Sub-Spec
Version:        1.0.7
Release:        bp153.1.12
%define cpan_name Sub-Spec
Summary:        Subroutine metadata specification
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Sub-Spec/
Source:         http://www.cpan.org/authors/id/S/SH/SHARYANTO/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(File::Which)
BuildRequires:  perl(Log::Any)
BuildRequires:  perl(Module::Build) >= 0.3601
BuildRequires:  perl(Probe::Perl)
BuildRequires:  perl(Test::More) >= 0.96
#BuildRequires: perl(Sub::Spec::Util)
Requires:       perl(File::Which)
Requires:       perl(Log::Any)
Requires:       perl(Probe::Perl)
Requires:       perl(Test::More) >= 0.96
%{perl_requires}

%description
Subroutine metadata specification

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README

%changelog
* Mon Feb 20 2012 coolo@suse.com
- updated to 1.0.7
  * Update NOTICE.
  * Mark deprecated.
* Mon Dec 19 2011 coolo@suse.de
- update to 1.0.5
  No spec changes. Build fix (remove stale dependency).
* Fri Sep 30 2011 pascal.bleser@opensuse.org
- update to 1.0.4:
  * rewrite/reorganize document, put everything in Sub::Spec, remove all the
    other modules, add Sub::Spec::FAQ
  * add Sub::Spec::Schema
  * add spec clauses 'type' and 'scope'
  * now support methods aside from subroutines
  * remove 'statuses'
  * 'description' clause now in Org format
  * add utility function: str_log_level()
* Thu Apr 28 2011 pascal.bleser@opensuse.org
- update to 0.13:
  * Undo feature: to perform redo (effectively, undo of undo), one no longer
    passes -undo_action=>'redo', but instead just -undo_action=>'undo' with
  - undo_data provided from previous undo action
- changes from 0.12:
  * Spec: undo feature: Specify -undo_hint
* Thu Apr  7 2011 coolo@novell.com
- updated to 0.11
    [INCOMPATIBLE CHANGES]
  - 'args_positional' clause now becomes 'args_as', the spec makes it
    possible for subs to accept args object instead of array/hash.
  - changes for undo. Caller now sets special arg -undo_action and no
    longer provides -state. Subs provide their own undo info and return
    it to the caller. Add redo.
    Add missing requirement to Log::Any.
    Declare requirement Test::More 0.96 [RT#66616].
* Tue Mar  8 2011 pascal.bleser@opensuse.org
- update to 0.08:
  * specify 'args_positional', 'result', 'result_naked', 'statuses' clauses
  * specify 'features' clause
  * some small fixes and docs addition
* Fri Mar  4 2011 chris@computersalat.de
- recreated by cpanspec 1.78.03
- fix deps
  o add Test::More >= 0.96
- add Build patch
  o there is really no need for Module::Build >= 0.3601,
    0.280801 from perl 5.10 is OK, too.
* Thu Mar  3 2011 pascal.bleser@opensuse.org
- initial version (0.06)
